From 4b91eaaf7fca9df3d9cb49e114e1361bce9ed2f4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:11 +0000
Subject: [PATCH 393/2232] More explicit naming for vector element primitive macro


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 8eb6fe8..be23fcf 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -685,7 +685,7 @@ fn expand_vector(namespace: &Namespace, ty: &Type) -> TokenStream {
     }
 }
 
-pub fn expand_vector_builtin(ident: Ident) -> TokenStream {
+pub fn impl_vector_element_for_primitive(ident: Ident) -> TokenStream {
     let ty = Type::Ident(ident);
     let inner = &ty;
     let namespace = Namespace { segments: vec![] };
diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index 87fe405..e6e5f2e 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -46,7 +46,7 @@ pub fn bridge(args: TokenStream, input: TokenStream) -> TokenStream {
 }
 
 #[proc_macro]
-pub fn vector_builtin(input: TokenStream) -> TokenStream {
+pub fn impl_vector_element_for_primitive(input: TokenStream) -> TokenStream {
     let ident = parse_macro_input!(input as Ident);
-    expand::expand_vector_builtin(ident).into()
+    expand::impl_vector_element_for_primitive(ident).into()
 }
diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 2aae4a8..3742fa4 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -1,4 +1,4 @@
-use cxxbridge_macro::vector_builtin;
+use cxxbridge_macro::impl_vector_element_for_primitive;
 use std::mem;
 
 /// Binding to C++ `std::vector<T>`.
@@ -82,17 +82,17 @@ pub unsafe trait VectorElement: Sized {
     fn __push_back(v: &CxxVector<Self>, item: &Self);
 }
 
-vector_builtin!(u8);
-vector_builtin!(u16);
-vector_builtin!(u32);
-vector_builtin!(u64);
-vector_builtin!(usize);
-vector_builtin!(i8);
-vector_builtin!(i16);
-vector_builtin!(i32);
-vector_builtin!(i64);
-vector_builtin!(isize);
-vector_builtin!(f32);
-vector_builtin!(f64);
+impl_vector_element_for_primitive!(u8);
+impl_vector_element_for_primitive!(u16);
+impl_vector_element_for_primitive!(u32);
+impl_vector_element_for_primitive!(u64);
+impl_vector_element_for_primitive!(usize);
+impl_vector_element_for_primitive!(i8);
+impl_vector_element_for_primitive!(i16);
+impl_vector_element_for_primitive!(i32);
+impl_vector_element_for_primitive!(i64);
+impl_vector_element_for_primitive!(isize);
+impl_vector_element_for_primitive!(f32);
+impl_vector_element_for_primitive!(f64);
 
 const_assert_eq!(1, mem::align_of::<CxxVector<usize>>());

